<template name="adminFeatureGroupPage">
	{{#if featuredGroup}}
		<div class="admin-featured-group">
			<div class="mb-2">
				{{i18n 'featureGroup.groupIsFeatured' 'The "{GROUP}" group is featured for the "{REGION}" region.' GROUP=featuredGroup.name REGION=currentRegionName}}
			</div>
			<button type="button" class="btn btn-delete js-unset-featured-group" {{disabledIfBusy}}>
				{{#if busy 'deleting'}}
					<span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
					{{i18n '_button.deleting' 'Deleting…'}}
				{{else}}
					{{i18n 'featureGroup.deleteButton' 'Remove the featured group for "{REGION}"' REGION=currentRegionName}}
				{{/if}}
			</button>
		</div>
	{{/if}}
	<h3>{{i18n 'featureGroup.featureGroup' 'Feature group'}}</h3>
	<form class="js-feature-group">
		<div class="mb-3">
			<select id="groupToBeFeatured" class="form-select">
				<option value='' disabled selected class="select-placeholder">
					{{i18n '_selection.pleaseSelect'}}
				</option>
				{{#each group in groups}}
					<option value="{{group._id}}">{{group.name}}</option>
				{{/each}}
			</select>
		</div>
		<div class="form-actions">
			<button type="submit" class="btn btn-save" {{disabledIfBusy}}>
				{{#if busy 'saving'}}
					<span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
					{{i18n '_button.saving'}}
				{{else}}
					{{i18n 'featureGroup.saveButton' 'Feature this group in the "{REGION}" region' REGION=currentRegionName}}
				{{/if}}
			</button>
		</div>
	</form>
</template>
